var MathRendering;
(function (MathRendering) {
    let MQ = window.MathQuill.getInterface(2);
    MQ.config({
        autoCommands: 'nothingheretoo',
        autoOperatorNames: 'nothingplsdontdoit'
    });
    const math_renderer = {
        render: function (element) {
            MQ.StaticMath(element[0]);
            return {
                frame_offset: 0,
                keyframes: []
            };
        }
    };
    Slides.modules.push(function (element) {
        return Promise.resolve(map(element.find('*[data-math]'), $)
            .map(function (e) {
            return {
                element: e,
                renderer: math_renderer
            };
        }));
    });
})(MathRendering || (MathRendering = {}));
//# sourceMappingURL=math.js.map